Compliance Report Generation

GET /pci/reporting/reportGeneration/fetch

The Compliance Report Generation API fetches the asset details, special note details, QIDs detected for these assets, and non-compliant IP addresses.

Use the PCI Merchant Authentication to access this API.

Sample: Fetch the Special Notes and Non-compliant IP AddressesSample: Fetch the Special Notes and Non-compliant IP Addresses

The following example illustartes fetching Compliance Report for your assets using Compliamce Report Generation and Attestation API.

API Request

 
      curl -X GET '<qualys_base_url>pci/reporting/reportGeneration/fetch'
      -H 'Content-Type: application/json apiVersion: V1'
    

API Response

  
    {
      "responseApiVersion": "LATEST - V1",
      "data": 
        {
          "specialNotes": [
            {
                "id": "1231234",
                "ip": "12.34.56.5",
                "dns": "12.34.56.5.com",
                "specialNote": "Remote Access",
                "qid": "42428",
                "title": "OpenSSH \"child_set_env()\" Security Bypass Issue",
                "port": null,
                "protocol": null,
                "securelyImplemented": "false",
                "comment": "Sample comment"
            },
            {
                "id": "1232345",
                "ip": "12.34.56.6",
                "dns": "12.34.56.6.com",
                "specialNote": "Unknown services",
                "qid": "82023",
                "title": "Open TCP Services List",
                "port": null,
                "protocol": null,
                "securelyImplemented": "false",
                "comment": "Sample comment"
            },
            {
                "id": "1233456",
                "ip": "12.34.56.7",
                "dns": "12.34.56.7.com",
                "specialNote": "Unknown services",
                "qid": "82004",
                "title": "Open UDP Services List",
                "port": null,
                "protocol": null,
                "securelyImplemented": "false",
                "comment": "Sample comment"
            }
        ],
        "nonCompliantAssets": [
            {
                "ip": "12.34.56.5",
                "dns": "12.34.56.5.com",
                "vulnHigh": 0,
                "vulnMed": 0,
                "vulnLow": 58,
                "asvComment": "Please update OpenSSH to the latest versions.
                Change built-in or default accounts and passwords. 
                Fix SSL certificate related issues.",
                "sslComment": "",
                "patches": [
                    {
                        "urlText": "Apache Hive",
                        "url": null
                    }
                ],
                "merchantComment": "Sample comment"
            },
            {
                "ip": "12.34.56.6",
                "dns": "12.34.56.6.com",
                "vulnHigh": 0,
                "vulnMed": 0,
                "vulnLow": 58,
                "asvComment": "Please update OpenSSH to the latest versions.
                Change built-in or default accounts and passwords. 
                Fix SSL certificate related issues.",
                "sslComment": "",
                "patches": [],
                "merchantComment": "Sample comment"
            },
            {
                "ip": "12.34.56.7",
                "dns": "12.34.56.7.com",
                "vulnHigh": 0,
                "vulnMed": 0,
                "vulnLow": 58,
                "asvComment": "Please update OpenSSH to the latest versions.
                Change built-in or default accounts and passwords. 
                Fix SSL certificate related issues.",
                "sslComment": "",
                "patches": [],
                "merchantComment": "Sample comment"
            }
        ]
    }
}